Last Comment Bug 767005 - FF 13 "signed in or out another window" for my.yahoo due to use system proxy setting
: FF 13 "signed in or out another window" for my.yahoo due to use system proxy ...
Status: VERIFIED FIXED
[qa-]
: regression
Product: Core
Classification: Components
Component: Networking (show other bugs)
: 13 Branch
: x86_64 Windows 7
: -- normal (vote)
: mozilla17
Assigned To: Patrick McManus [:mcmanus]
:
Mentors:
: 763607 (view as bug list)
Depends on:
Blocks: 235853 750445 769764
  Show dependency treegraph
 
Reported: 2012-06-21 08:52 PDT by astro46
Modified: 2012-10-17 17:09 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
+
fixed
+
verified
verified


Attachments
patch 0 - revert 235853 (20.23 KB, patch)
2012-07-24 14:44 PDT, Patrick McManus [:mcmanus]
jduell.mcbugs: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Review

Description astro46 2012-06-21 08:52:06 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0) Gecko/20100101 Firefox/12.0
Build ID: 20120420145725

Steps to reproduce:

updated to firefox 13. 


Actual results:

since then when opening ff, or coming out of sleep mode, and clicking on the my.yahoo tab, which should show my yahoo home page, i get a greyed out, generic yahoo home page with a popup saying: "We notice you may have signed in or signed out in  another window.  click ok to reload your page". i close the pop up and page reloads. this only happens with yahoo. i have deleted yahoo cookies, deleted cookies.sqlite, and another cookies related file, and updated to ff 13.0.1. A web search revealed others with the same problem, in the past and currently.  reinstalling ff 12 seems to have fixed this problem, for me and others.


Expected results:

yahoo home page should display when clicking tab.
Comment 1 Loic 2012-06-21 10:51:09 PDT
Can you try with a new new profile please?
https://support.mozilla.org/en-US/kb/Managing-profiles
Comment 2 astro46 2012-06-21 12:23:17 PDT
Loic,  no problem using ff 12 with same profile. this would indicate that the profile isn't the problem?
Comment 3 Matthias Versen [:Matti] 2012-06-21 15:12:30 PDT
We want to narrow down the issue and a new, additional profile for testing helps.
Comment 4 astro46 2012-06-21 17:44:56 PDT
i created a new profile.  set up my.yahoo.com.  closed and opened once. standby once. not surprisingly, i didn't get the "error" window.
Comment 5 Matthias Versen [:Matti] 2012-06-21 17:57:06 PDT
You didn't get that window with Firefox12 or Firefox13 ?
Comment 6 astro46 2012-06-21 18:22:24 PDT
matthias,  huh?  perhaps you could read the past posts. they answer your question.
Comment 7 Matthias Versen [:Matti] 2012-06-21 20:13:10 PDT
We want to know if it works or if it doesn't work with Firefox 13 and a new profile.

The steps to reproduce are a little bit incomplete. You need an Account at http://my.yahoo.com to reproduce the issue, right ?
I can check in 24h when my Account gets reactivated after a long inactivity.
Comment 8 astro46 2012-06-21 21:14:33 PDT
worked with ff 13 and new profile.  no changes to settings or addons. 

yes you need an account to log in to yahoo. 

an odd thing about it not working in ff 13 with old profile: even though i deleted all yahoo cookies, then closing and opening ff (that profile was set to delete all cookies unless i "allowed" them), it still knew who i was and set up the my.yahoo.page correctly, without having to login,  after clicking on the error popup. i have no idea where the info was stored since there were no identifiable yahoo cookies from the previous session. somehow, even without the cookies it was still identifying me.
Comment 9 astro46 2012-06-28 12:55:43 PDT
any helpful comments about this issue, to help resolve it? or shall i stay with ff v12?
Comment 10 Matthias Versen [:Matti] 2012-06-28 14:30:53 PDT
We don't help to resolve issues but we instead try to fix only bugs here.
Support is available under http://support.mozilla.org

Can you open the Clear private data function (ctrl+shift+del) and select everything and remove the cookies, cache and offline website data ?

I can't reproduce this issue with my yahoo Account.
Comment 11 astro46 2012-06-28 18:16:53 PDT
issues vs bugs? a very fine, and faint, line. as i didn't have the problem using profile A with ff 12, and it started after installing ff v13. and went away after reverting to ff 12, seems like a pretty good guess that the problem is ff 13. i have a desktop and laptop. i use the laptop mostly on weekends and synch the profile (along with other data) between them at beginning and end of weekend. have the same problem on the laptop. it was on the laptop that i created the new profile, and have not had the problem with ff13 for the few times i opened ff13 with that new profile. after not opening ff on laptop for previous 7 days, today i opened it with the original profile A and didn't have the problem. opened and closed ff 4 times. 5th time it came back. Seems that there is what i would call a bug in ff13 with particular profiles. as i mentioned in a previous post, a web search showed that i am not the only person currently, or, in the past with previous versions of ff, that has had this problem.

i cleared everything in the private data. i opened ff a couple of times with no cookies (profile A is set to delete cookies unless i allow them)and didn't get an error message, only getting yahoo opening to a generic page.  reestablished and allowed the yahoo cookies and problem came back.
Comment 12 astro46 2012-06-28 20:26:26 PDT
perhaps it would be useful to know that when i get the mentioned popup about having logged out/in, i don't have to actually log in again. i just close the pop up and the home page loads. also, the message says nothing about yahoo. it may be a firefox message. i have seen references to the message regarding other pages. in my case it is only with yahoo.
Comment 13 Matthias Versen [:Matti] 2012-07-03 23:09:07 PDT
Can you please check that "no proxy" is selected in options/advanced/network/settings ?

The error message is AFAIK not from Firefox itself, it seems to come from yahoo.
Comment 14 astro46 2012-07-05 11:06:54 PDT
Matti, You are a genius. i checked the proxy settings and found the "auto detect proxy settings for this network" checked.  On the laptop, where i have a ff13 still installed, with the old profile, i changed to "no proxy", and so far, no problem with yahoo home page. i have no memory of ever changing the ff proxy settings. I wonder if ff13 uses them differently than previous versions? Curiously, on laptop (ff13), the new profile is set to "use system proxy settings". 

previous to your last comment i had started installing addons to the new, working,  profile on laptop (ff13) to see if one of them caused the problem. i believe all are now installed (except for one, which ff13 continues to reject as imcompatible, even though the addon worked when i moved from ff12 to ff13 previously).  i have not seen the problem return on the new profile with addons installed. 

2 questions:  
1. will proxy settings in ff override my use of vpn or opendnscrypt on laptop?

2.is there any substantial, practical, value in continuing to setting up the new profile (moving bookmarks, etc) and using it? rather than just change proxy settings and continue using the old profile?  will a new profile be faster? load noticeably more quickly?

thanks,
jeffrey
Comment 15 Matthias Versen [:Matti] 2012-07-05 11:29:44 PDT
Patrick:
I don't know if the system proxy setting is really networking or system integration.
Something seem to have changed in Firefox13 regarding this setting.
Could the SPDY work could have caused this ?
The report is a little bit vague without technical information but I'm sure that the reporter could provide additional logs if that helps.

jeffrey: comments in bug reports should be limited to technical details of a bug. Write me an email if you want answer to any offtopic questions.
Comment 16 Loic 2012-07-05 11:43:18 PDT
Yes, it would be nice to provide simple and clear steps to reproduce (STR), like creating a new profile, logging to Yahoo Mail, step by step etc.
So maybe with these STR, we could find a regression range.
Comment 17 astro46 2012-07-05 12:31:16 PDT
Loic, if your comment is directed at me, i don't know if i can give you specific steps, other than what i have already:
1. update ff12 to ff13> start having problems with yahoo recognizing signin. this could be opening a yahoo homepage, or with a previously open tab set to home page.
2. closing the error popup causes home page to load properly (no login info sent)
3. reverting back to ff12 fixes the problem
4. creating a new profile in ff13> problem not seen with new profile in ff13.
5. reinstalling addons doesn't cause problem to reappear in ff13 new profile
6. find old profile ff13 was set to "auto detect proxy settings"> changing to "no proxy" seems to make problem stop.
7. new profile ff13, not having the problem, is set to "use system proxy settings".
8. changing old profile ff13, from 'no proxy' to 'use system proxy settings' continues to show no problem.
9. i just tried changing old profile ff13 back to "auto detect proxy settings">restarted ff13>problem re-appeared> changed to "use sytem proxy settings"> restarted> problem gone. 
9. i should restate from a previous post > opening yahoo home page in old profile several times and not seeing problem before it reappeared. so nothing is definite. 

if i can provide any helpful logs, let me know.
Comment 18 Loic 2012-07-05 14:06:17 PDT
Okay, thanks for the STR (step 9 especially), I'm able to reproduce the issue with my current old profile or with a fresh profile on FF13 and FF16 and the option "use system proxy settings".
I tried with the old version FF8, no issue.

In fact, if you quit Firefox 13 with a tab opening your Yahoo Mail account (mail.yahoo.com) and another tab opening your Yahoo homepage (my.yahoo.com) then you restart Firefox,  the result is:
+ on my.yahoo.com, Yahoo displays a message saying "We notice you may have signed in or signed out in  another window.  Click ok to reload your page".
+ on mail.yahoo.com, Yahoo redirects to the login page and if I click on the login button, it doesn't work, I have to reload the login page to validate.

I'll try if I'm able to find a regression range.
Comment 19 Loic 2012-07-05 15:50:45 PDT
I found the regression range.

My STR:

1) Create a new profile
2) Set "Options > General > When Nightly starts: Show my windows an tabs from last time"
3) Set "Options > Advanced > Network > Settings > Auto-detect proxy settings for this network"
4) Open a tab http://mail.yahoo.com/ and log in
5) Open a 2nd tab http://my.yahoo.com/ (and log in if necessary)
6) Restart Firefox

Mozregression range:

m-c
good=2012-02-07
bad=2012-02-08
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=b077059c575a&tochange=4b9608fd670c

m-i
good=2012-02-06
bad=2012-02-07
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=deefae783b97&tochange=683c21514e28

Suspected bug:
Jeff Muizelaar — Bug 235853 - Defer proxy resolution for HTTP and HTTPS PAC to avoid blocking main thread during DNS resolution. r=biesi,sworkman

I tried with "no proxy": no issue, Frefox is able to reconnect to Yahoo Mail and My Yahoo without redirecting to the login page or displaying error message.
Comment 20 Josh Aas 2012-07-05 16:21:27 PDT
Any interest in looking into this Patrick?
Comment 21 Jason Duell [:jduell] (needinfo? me) 2012-07-09 00:00:49 PDT
While we're at it we should actually fix bug 235853:  the code to enable it didn't land (see bug 750445: haven't had time to look at it since my last comment).
Comment 22 Jason Duell [:jduell] (needinfo? me) 2012-07-17 17:59:59 PDT
*** Bug 763607 has been marked as a duplicate of this bug. ***
Comment 23 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-18 09:24:19 PDT
[Triage Comment]
Tracking this regression since the tracked bug 763607 was duped to this.
Comment 24 Patrick McManus [:mcmanus] 2012-07-24 08:28:58 PDT
as jason says, 235853 is horribly broken (bug 750445). So it should be backed out - its not giving anyone the performance benefit it proposes (again, due to 750445) and apparently it is breaking yahoo (though I'm really not sure how - I can't reproduce and frankly most of the code from 235853 is non-operable due to its bug).

loic, as I can't reproduce would you be able to try a test-build to confirm the yahoo! issue can be resolved like this? I'll make a build and point you to a URL with it.

Meanwhile, I'll also work on the real issue (various PAC functions block the main thread) in bugs 769764 and 750445. That really is a very very noticeable source of jank when you're using PAC.
Comment 25 Loic 2012-07-24 08:37:03 PDT
(In reply to Patrick McManus [:mcmanus] from comment #24)
> loic, as I can't reproduce would you be able to try a test-build to confirm
> the yahoo! issue can be resolved like this? I'll make a build and point you
> to a URL with it.
Yes, I'm. Just tell me how to use the test-build (new profile needed? classic installation or standalone build?).
Comment 26 Patrick McManus [:mcmanus] 2012-07-24 13:51:41 PDT
It was a valiant effort, but there are a whole bunch of problems with 235853..

1] one of them is what 750445 tries to fix up - RESOLVE_NON_BLOCKING isn't actually passed to proxyservice->resolve()... so it doesn't provide any benefit at all.

2] the new "unknown"-type proxy info created by 235853 isn't given the NB flag either

3] the whole scheme is implemented with an internal http redirect mechanism without changing the uri.. and that breaks websockets because websockets basically does not allow redirects other than those for HSTS.

4] the "unknown" type, which 235853 relies on heavily, can't really work for HTTP. It consults the proxy information early on to determine whether or not to use CONNECT to make a tunnel as well as to find the right connection pool. This is a problem for websockets again. (ordinary SSL kind of works out because the CONNECT is implicit there. Though if we wanted to do https GET proxying (we do!) this would be a problem for that as well.)

plus with all that, I'm not really sure what the y! problem is :)

even if we repaired 1 through 4 (and I did fix 1 through 3 fairly easily in a local build.. 4 is a tricky thing) it still doesn't really accomplish its objective of removing blocking on the main thread because of 769764.

So let's revert 235853 out of 15/16/17 (14 is stuck with it) - its not providing value.

Loic will confrim the revert fixes y!.. I'll send directions for that when the build is complete.

meanwhile, I'll use 769764 to address the overall blocking PAC problem. (both dns and pac file IO).

sound like a good plan?
Comment 27 Patrick McManus [:mcmanus] 2012-07-24 14:04:20 PDT
(In reply to Patrick McManus [:mcmanus] from comment #26)
> 
> Loic will confrim the revert fixes y!.. I'll send directions for that when
> the build is complete.

> (In reply to Loic from comment #25)
> (In reply to Patrick McManus [:mcmanus] from comment #24)
> > loic, as I can't reproduce would you be able to try a test-build to confirm
> > the yahoo! issue can be resolved like this? I'll make a build and point you
> > to a URL with it.
> Yes, I'm. Just tell me how to use the test-build (new profile needed?
> classic installation or standalone build?).


Great; Thanks! The builds are here

https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mcmanus@ducksong.com-39f3aa7275f5/

they have 235853 reverted from them.

you can choose whatever flavor you like (zip or installer). Its based on the beta 15 code. You only need a new profile if you don't want to pollute your main one with a beta run... but as long as you're comfortable with the STR I'm fine.

Thanks!
Comment 28 Matthias Versen [:Matti] 2012-07-24 14:38:29 PDT
Patrick:
I can reproduce the issue with the STR from comment #19 and Firefox 14.0.1
The Try build (win32-zip) fixes it and I tried it several times to be sure.
Comment 29 Patrick McManus [:mcmanus] 2012-07-24 14:44:57 PDT
Created attachment 645514 [details] [diff] [review]
patch 0 - revert 235853

this is the backout
Comment 30 Patrick McManus [:mcmanus] 2012-07-24 14:45:17 PDT
(In reply to Matthias Versen (Matti) from comment #28)
> Patrick:
> I can reproduce the issue with the STR from comment #19 and Firefox 14.0.1
> The Try build (win32-zip) fixes it and I tried it several times to be sure.

awesome. thanks!
Comment 31 Josh Aas 2012-07-24 17:00:50 PDT
(In reply to Patrick McManus [:mcmanus] from comment #26)

> sound like a good plan?

Sounds great, thanks!
Comment 32 Patrick McManus [:mcmanus] 2012-07-24 19:44:59 PDT
backout
https://hg.mozilla.org/integration/mozilla-inbound/rev/bdb10e07fc9b
Comment 33 Patrick McManus [:mcmanus] 2012-07-24 19:48:13 PDT
Comment on attachment 645514 [details] [diff] [review]
patch 0 - revert 235853

[Approval Request Comment] to merge backout to aurora/beta
Bug caused by (feature/regressing bug #): 235853
User impact if declined: continued interop problem with y!
Testing completed (on m-c, etc.): confirmation in comment 29.. just sent to inbound
Risk to taking this patch (and alternatives if risky): minor manual merge involved in backout as patch was commmited to ff14 a while ago.
String or UUID changes made by this patch: none
Comment 34 Ed Morley [:emorley] 2012-07-25 08:08:47 PDT
(In reply to Patrick McManus [:mcmanus] from comment #32)
> backout
> https://hg.mozilla.org/integration/mozilla-inbound/rev/bdb10e07fc9b

https://hg.mozilla.org/mozilla-central/rev/bdb10e07fc9b
Comment 35 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-25 10:24:00 PDT
Comment on attachment 645514 [details] [diff] [review]
patch 0 - revert 235853

Low risk backout, restoring functionality, approving.
Comment 37 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-09-18 15:43:13 PDT
@astro46, can you see if this issue happens for you anymore with Firefox 15.0.1, 16.0b3, and 17.0a2?

Betas are available at beta.mozilla.org
Auroras are available at aurora.mozilla.org

Thanks
Comment 38 astro46 2012-09-18 19:34:12 PDT
I am currently using ff 15.0.1. i have changed ff proxy setting from "use system proxy"  to "autodetect proxy settings" (i believe that is how it was when problem started.  i will check back in a day or so.
Comment 39 Christian :Biesinger (don't email me, ping me on IRC) 2012-09-19 11:48:00 PDT
Comment on attachment 645514 [details] [diff] [review]
patch 0 - revert 235853

I kinda think the content/ test should not have been backed out. I'm undecided about the netwerk one but it probably couldn't hurt to keep that one too.
Comment 40 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-17 15:58:34 PDT
This should now be fixed in Firefox 15, 16.0.1, and 17 Beta. Can someone who was able to reproduce this please confirm?
Comment 41 Loic 2012-10-17 17:08:38 PDT
(In reply to Anthony Hughes, Mozilla QA (:ashughes) from comment #40)
> This should now be fixed in Firefox 15, 16.0.1, and 17 Beta. Can someone who
> was able to reproduce this please confirm?

I used my STR in comment #19, and FF16 & 17 work fine, I'm not disconnected from Yahoo's pages after FF restarted.

Same result if I change "Auto-detect proxy settings for this network" to "Use system proxy settings".
Comment 42 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-17 17:09:26 PDT
Thanks Loic!

Note You need to log in before you can comment on or make changes to this bug.